<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:f="http://xmlns.jcp.org/jsf/core"
             xmlns:h="http://xmlns.jcp.org/jsf/html"
             xmlns:ui="http://xmlns.jcp.org/jsf/facelets"

             template="/layout/template.xhtml">

    <f:facet name="heading">
        <b:icon value="fa-circle-info"/>
        <h:outputText value="Tout les tokens" style="text-decoration: none"/>
    </f:facet>

    <h:form>
        <b:dataTable value="#{adminBean.organizationTokens}"
                     var="token" responsive="true" scroll-size="400px"
                     scroll-x="false" searching="false"
                     caption="Liste de tout les tokens générés par les membres de l'organisation ">
            <b:dataTableColumn value="#{token.username}" label="Username"/>
            <b:dataTableColumn value="#{token.roles}" label="Role"/>
            <b:dataTableColumn order="asc">
                <h:outputText value="#{token.creationDate}" label="Date de création">
                    <f:convertDateTime type="localDateTime" pattern="dd/MM/yyyy HH:mm"/>
                </h:outputText>
            </b:dataTableColumn>
            <b:dataTableColumn>
                <h:outputText value="#{token.expirationDate}" label="Date de d'expiration">
                    <f:convertDateTime type="localDateTime" pattern="dd/MM/yyyy HH:mm"/>
                </h:outputText>
            </b:dataTableColumn>
            <b:dataTableColumn value="" label="Etat du token">
                <b:label rendered="#{!adminBean.isExpired(token.value)}" value="Expriré / Désactivé" severity="danger"/>
                <b:label rendered="#{tokenBean.isExpired(token.value)}" value="Valide" severity="success"/>
            </b:dataTableColumn>
        </b:dataTable>
    </h:form>

</ui:fragment>